<div class="create-disaster-news">
    <div class="pointer" (click)="onBack()">
        <span class="material-symbols-outlined" style="vertical-align: middle;">
            arrow_back_ios
        </span>
        <strong><small>รายละเอียด</small></strong>
    </div>


    <mat-stepper #stepper animationDuration="0">
        <mat-step>
            <ng-template matStepLabel>รายละเอียด</ng-template>

            <div class="d-flex">
                <div class=" mr-3">
                    <small>แหล่งข้อมูล </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " [(ngModel)]="descriptionForm.source" disabled>
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>วันที่ได้รับจากแหล่งข้อมูล </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " [(ngModel)]="descriptionForm.date" disabled>
                    </mat-form-field>
                </div>

                <div class="">
                    <small>เวลาได้รับจากแหล่งข้อมูล </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " [(ngModel)]="descriptionForm.time" disabled>
                    </mat-form-field>
                </div>

            </div>

            <div class="d-flex mt-3">
                <div class=" mr-3">
                    <small>ชื่อ </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " [(ngModel)]="descriptionForm.name">
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>วันที่ </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " [(ngModel)]="descriptionForm.createDate" disabled>
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>เวลา </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " [(ngModel)]="descriptionForm.createTime" disabled>
                    </mat-form-field>
                </div>
            </div>


            <div class="d-flex mt-3">
                <div class=" mr-3">
                    <small>บนบก/ทะเล </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 150px;">
                        <mat-select [(ngModel)]="descriptionForm.isSea">
                            <mat-option [value]="item.value" *ngFor="let item of areaList"
                                style="font-size: 12px; min-height: 30px;">
                                {{item.text}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>ความเสียหาย </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 150px;">
                        <mat-select [(ngModel)]="descriptionForm.damage">
                            <mat-option [value]="item.value"
                                *ngFor="let item of (descriptionForm.isSea ? damageSeaList : damageLandList)"
                                style="font-size: 12px; min-height: 30px;">
                                {{item.text}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>ขนาด (Mag) </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " type="number" [(ngModel)]="descriptionForm.size">
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>ความลึก </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " type="number" [(ngModel)]="descriptionForm.deep">
                    </mat-form-field>
                </div>

                <div class="">
                    <small>ระยะห่าง (กม.) </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " type="number" [(ngModel)]="descriptionForm.distance">
                    </mat-form-field>
                </div>

            </div>


            <div class="mt-3">
                <small>รายละเอียดแสดงแผนที่</small><br>
                <mat-form-field appearance="outline"
                    style="width: 70%;  height: 85px !important; padding: 0px !important;">
                    <textarea matInput style=" height: 85px" [(ngModel)]="descriptionForm.mapDescription"></textarea>
                </mat-form-field>
            </div><br>

            <div class="mt-3">
                <small>รายละเอียดแจ้งเตือน</small><br>
                <mat-form-field appearance="outline"
                    style="width: 70%;  height: 85px !important; padding: 0px !important;">
                    <textarea matInput style=" height: 85px" [(ngModel)]="descriptionForm.notiDescription"></textarea>
                </mat-form-field>
            </div><br>

            <div class="mt-3">
                <small>รายละเอียด SMS</small><br>
                <mat-form-field appearance="outline"
                    style="width: 70%;  height: 85px !important; padding: 0px !important;">
                    <textarea matInput style=" height: 85px" [(ngModel)]="descriptionForm.SMSDescription"></textarea>
                </mat-form-field>
            </div><br>



            <div>
                <button mat-raised-button matStepperNext>ถัดไป</button>
            </div>
        </mat-step>
        <mat-step>
            <ng-template matStepLabel>แผนที่</ng-template>


            <div class="d-flex mt-3">
                <div class=" mr-3">
                    <small>latitude </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " type="number" [(ngModel)]="mapDescriptionForm.latitude">
                    </mat-form-field>
                </div>

                <div class=" mr-3">
                    <small>longitude </small><br>
                    <mat-form-field class="mt-2" appearance="outline" style="width: 200px">
                        <input matInput placeholder=" " type="number" [(ngModel)]="mapDescriptionForm.longitude">
                    </mat-form-field>
                </div>
            </div>

            <div class="mt-3 mr-3">
                <small>จังหวัด (กรณีแจ้งเตือนพื้นที่) </small><br>
                <mat-form-field class="mt-2" appearance="outline" style="width: 50%;">
                    <mat-select multiple [(ngModel)]="mapDescriptionForm.province">
                        <mat-option [value]="item.value" *ngFor="let item of provinceList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="mt-3 mr-3">
                <small>สถานะการจัดทำ</small><br>
                <mat-form-field class="mt-2" appearance="outline" style="width: 250px;">
                    <mat-select [(ngModel)]="mapDescriptionForm.status">
                        <mat-option [value]="item.value" *ngFor="let item of statusList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <br>


            <div>

                <button mat-raised-button class="mr-3" matStepperPrevious>ย้อนกลับ</button>
                <button mat-raised-button matStepperNext>ถัดไป</button>
            </div>
        </mat-step>
        <mat-step>
            <ng-template matStepLabel>เอกสาร</ng-template>
            <br>
            <div style="width: 40%;">
                <table mat-table [dataSource]="disasterNewsList">
                    <ng-container matColumnDef="no">
                        <th mat-header-cell *matHeaderCellDef>ลำดับ</th>
                        <td mat-cell *matCellDef="let element ; index as i">
                            {{ (i+1) }}
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef class="text-start">ชื่อ </th>
                        <td mat-cell *matCellDef="let element"> {{element.name }} </td>
                    </ng-container>

                    <ng-container matColumnDef="download">
                        <th mat-header-cell *matHeaderCellDef class="text-start"> ดาวน์โหลด </th>
                        <td mat-cell *matCellDef="let element">
                            <span class="material-symbols-outlined" style="vertical-align: middle;">
                                download
                            </span>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns ;sticky: true"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
            </div>
            <br>
            <div>
                <button mat-raised-button class="mr-3" matStepperPrevious>ย้อนกลับ</button>
                <button mat-raised-button color="primary">เสร็จสิ้น</button>
            </div>
        </mat-step>
    </mat-stepper>
</div>